CVE-2000-0293
CVSS2.1
发布时间 :2000-05-02 00:00:00
修订时间 :2008-09-10 15:04:00
NMCOES    

[原文]aaa_base in SuSE Linux 6.3, and cron.daily in earlier versions, allow local users to delete arbitrary files by creating files whose names include spaces, which are then incorrectly interpreted by aaa_base when it deletes expired files from the /tmp directory.


[CNNVD]S.u.S.E. Linux任意文件删除漏洞(CNNVD-200005-014)

        SuSE Linux 6.3的aaa_base和早期版本的cron.daily 存在漏洞,本地用户可以通过生成包含空格文件名的文件删除任意文件。此时在从/tmp目录下删除过期文件时aaa_base便不能正确解析,

- CVSS (基础分值)

CVSS分值: 2.1 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: NONE [对系统可用性无影响]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/o:suse:suse_linux:6.2SuSE SuSE Linux 6.2
cpe:/o:suse:suse_linux:6.1:alphaSuSE SuSE Linux 6.1 alpha
cpe:/o:suse:suse_linux:6.3::ppc
cpe:/o:suse:suse_linux:6.3SuSE SuSE Linux 6.3
cpe:/o:suse:suse_linux:6.0SuSE SuSE Linux 6.0
cpe:/o:suse:suse_linux:6.3:alphaSuSE SuSE Linux 6.3 alpha
cpe:/o:suse:suse_linux:6.4SuSE SuSE Linux 6.4
cpe:/o:suse:suse_linux:6.1SuSE SuSE Linux 6.1

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0293
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0293
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200005-014
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/1130
(UNKNOWN)  BID  1130

- 漏洞信息

S.u.S.E. Linux任意文件删除漏洞
低危 访问验证错误
2000-05-02 00:00:00 2005-10-20 00:00:00
本地  
        SuSE Linux 6.3的aaa_base和早期版本的cron.daily 存在漏洞,本地用户可以通过生成包含空格文件名的文件删除任意文件。此时在从/tmp目录下删除过期文件时aaa_base便不能正确解析,

- 公告与补丁

        A patch was included in the Bugtraq post which reported this problem.
        Updated RPM's have been provided by SuSE for versions 6.2, 6.3 and 6.4. It has been reported that the update for 6.2 was not effective, and as such, those running version 6.2 of SuSE Linux are still susceptible. It is not clear if the fixes for 6.3 and 6.4 were effective.
        The original information provided by SuSE was innaccurate; no fixes were present in the packages they claimed fixed this vulnerability. A later advisory by them resolved the problem.
        S.u.S.E. Linux 6.1 alpha
        
        S.u.S.E. Linux 6.1
        
        S.u.S.E. Linux 6.2
        
        S.u.S.E. Linux 6.3
        
        S.u.S.E. Linux 6.3 alpha
        
        S.u.S.E. Linux 6.4
        

- 漏洞信息 (19867)

S.u.S.E. Linux 6.x Arbitrary File Deletion Vulnerability (EDBID:19867)
linux local
2000-04-21 Verified
0 Peter_M
N/A [点击下载]
source: http://www.securityfocus.com/bid/1130/info

A vulnerability exists in SuSE Linux, version 6.3 and prior, that can allow arbitrary users to delete any file on the system. If the MAX_DAYS_IN_TMP variable is set in /etc/rc.config to be larger than 0, any local user can remove any file on the system. This is due to a flaw in /etc/cron.daily/aaa_base in SuSE 6.3, or /root/bin/cron.daily in older versions.

It has been reported that only files in the root directory (/) can be removed. Previously, it was thought arbitrary files anywhere on the filesystem could be removed.

mkdir -p "/tmp/foo vmlinux"
touch -t old-date "/tmp/foo vmlinux"		

- 漏洞信息

13645
SuSE Linux aaa_base Arbitrary File Deletion
Local Access Required Misconfiguration
Loss of Integrity Upgrade
Exploit Public Vendor Verified, Third-party Verified

- 漏洞描述

- 时间线

2000-05-02 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 2000.5.2 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

S.u.S.E. Linux Arbitrary File Deletion Vulnerability
Access Validation Error 1130
No Yes
2000-04-21 12:00:00 2009-07-11 01:56:00
This vulnerability was posted to the Bugtraq mailing list on April 21, 2000 by =?ISO-8859-1?Q?Peter_M=FCnster?= <peter@gmv.spm.univ-rennes1.fr>

- 受影响的程序版本

S.u.S.E. Linux 6.4
S.u.S.E. Linux 6.3 ppc
S.u.S.E. Linux 6.3 alpha
S.u.S.E. Linux 6.3
S.u.S.E. Linux 6.2
S.u.S.E. Linux 6.1 alpha
S.u.S.E. Linux 6.1
S.u.S.E. Linux 6.0

- 漏洞讨论

A vulnerability exists in SuSE Linux, version 6.3 and prior, that can allow arbitrary users to delete any file on the system. If the MAX_DAYS_IN_TMP variable is set in /etc/rc.config to be larger than 0, any local user can remove any file on the system. This is due to a flaw in /etc/cron.daily/aaa_base in SuSE 6.3, or /root/bin/cron.daily in older versions.

It has been reported that only files in the root directory (/) can be removed. Previously, it was thought arbitrary files anywhere on the filesystem could be removed.

- 漏洞利用

mkdir -p "/tmp/foo vmlinux"
touch -t old-date "/tmp/foo vmlinux"

- 解决方案

A patch was included in the Bugtraq post which reported this problem.

Updated RPM's have been provided by SuSE for versions 6.2, 6.3 and 6.4. It has been reported that the update for 6.2 was not effective, and as such, those running version 6.2 of SuSE Linux are still susceptible. It is not clear if the fixes for 6.3 and 6.4 were effective.

The original information provided by SuSE was innaccurate; no fixes were present in the packages they claimed fixed this vulnerability. A later advisory by them resolved the problem.


S.u.S.E. Linux 6.1 alpha

S.u.S.E. Linux 6.1

S.u.S.E. Linux 6.2

S.u.S.E. Linux 6.3

S.u.S.E. Linux 6.3 alpha

S.u.S.E. Linux 6.4

- 相关参考

     

     

    关于SCAP中文社区

    SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

    版权声明

    CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站